<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 22/04/20
 * Time: 11.25
 */
namespace FiloBlu\Rma\Block\Adminhtml\Order\View\Tab;
use Magento\Rma\Helper\Data;

class Rma extends \Magento\Rma\Block\Adminhtml\Order\View\Tab\Rma
{
    /**
     * @var Data
     */
    private $rmaData;


    /**
     * Rma constructor.
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \Magento\Backend\Helper\Data $backendHelper
     * @param \Magento\Rma\Model\ResourceModel\Rma\Grid\CollectionFactory $collectionFactory
     * @param \Magento\Rma\Model\RmaFactory $rmaFactory
     * @param \Magento\Framework\Registry $coreRegistry
     * @param Data $rmaHelper
     * @param Data $rmaData
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Backend\Helper\Data $backendHelper,
        \Magento\Rma\Model\ResourceModel\Rma\Grid\CollectionFactory $collectionFactory,
        \Magento\Rma\Model\RmaFactory $rmaFactory,
        \Magento\Framework\Registry $coreRegistry,
        \Magento\Rma\Helper\Data $rmaHelper,
        Data $rmaData,
        array $data = [])
    {
        parent::__construct($context, $backendHelper, $collectionFactory, $rmaFactory, $coreRegistry, $rmaHelper, $data);
        $this->rmaData = $rmaData;
    }


    /**
     * @return bool
     */
    public function canShowTab(){
        try{
            $items = $this->rmaData->getOrderItems($this->getOrder());
            if ($items->count() && $this->rmaData->isEnabled()) {
                return true;
            }
            return false;
        }catch (\Exception $e){
            $this->_logger->critical($e->getMessage());
            return false;
        }catch (\Throwable $t){
            $this->_logger->critical($t->getMessage());
            return false;
        }

    }



}